#!/bin/bash


# Detect and handle running under SALOME YACS module.
YACS_ARG=
if test "$SALOME_CONTAINERNAME" != "" -a "$CFDRUN_ROOT_DIR" != "" ; then
  YACS_ARG="--yacs-module=${CFDRUN_ROOT_DIR}"/lib/salome/libCFD_RunExelib.so
fi

module purge
module load Compilateurs/gnu
module load Parallel/openmpi-1.4.3

# Export paths here if necessary or recommended.
export PATH=/share/apps/openmpi/1.4.3/gnu/bin:$PATH
export LD_LIBRARY_PATH=/share/apps/openmpi/1.4.3/gnu/lib:$LD_LIBRARY_PATH

cd /work/robin/serra/simulations/oracles/Reactif/RESU/20120313-1228

# Run solver.
/work/robin/serra/simulations/oracles/Reactif/RESU/20120313-1228/cs_solver $YACS_ARGS $@

CS_RET=$?

exit $CS_RET

